petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetSectionSF

Set the PetscSF encoding the parallel dof overlap for the DM

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetSectionSF(DM dm, PetscSF sf)

### Input Parameters

| dm | - The DM
| sf | - The PetscSF

Note: Any previous SF is destroyed

### See Also

DMGetSectionSF(), DMCreateSectionSF()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages